List iSCSI initiators
GET
/iscsi/initiators
const url = 'https://sylve.lan:8181/api/iscsi/initiators';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/iscsi/initiators \ --header 'Authorization: <Authorization>'Retrieve all configured iSCSI initiators
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
authMethod
string
chapName
string
createdAt
string
id
integer
initiatorName
string
nickname
string
targetAddress
string
targetName
string
tgtChapName
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "authMethod": "example", "chapName": "example", "createdAt": "example", "id": 1, "initiatorName": "example", "nickname": "example", "targetAddress": "example", "targetName": "example", "tgtChapName": "example", "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}